Runtime

## org.eclipse.gmf.runtime.draw2d.ui.graphics
Class GCUtilities

    java.lang.Object
      org.eclipse.gmf.runtime.draw2d.ui.graphics.GCUtilities

    public class GCUtilities

extends java.lang.Object

Utility class for operations around using a `GC`

Constructor Summary
`GCUtilities()`

Method Summary
`static boolean` `supportsAdvancedGraphics()` Returns true is advanced graphics is supported in this environment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GCUtilities

    public GCUtilities()

Method Detail

### supportsAdvancedGraphics

    public static boolean supportsAdvancedGraphics()

  Returns true is advanced graphics is supported in this environment. This includes the OS supporting an advanced graphics library (usually an externally installed library such as Cairo or GDI+)

  Returns:
    true if advanced graphics is supported; false otherwise

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.